# PyODMongo Code of Conduct

## Introduction

**PyODMongo** is an open-source project that values diversity, inclusivity, and respectful collaboration. As contributors and maintainers, we pledge to provide a welcoming and harassment-free environment for everyone, regardless of age, gender, gender identity and expression, sexual orientation, disability, physical appearance, race, ethnicity, religion, or technology choices. We expect all participants in the **PyODMongo** community to adhere to this code of conduct.

## Our Standards

The following behaviors are expected and encouraged from all members of the **PyODMongo** community:

### 1. Respectful and Inclusive Language

Use respectful and inclusive language in all interactions within the **PyODMongo** community, including discussions, code reviews, and comments. Be mindful of your words and their impact on others.

### 2. Respect Differences

Respect diverse perspectives and experiences. Disagreements will happen, but focus on addressing the issues, not on personal attacks or discrimination.

### 3. Be Welcoming

Strive to create a friendly and inclusive environment. Be open to collaboration and willing to help others. Encourage new contributors and provide constructive feedback.

### 4. Harassment-Free Environment

Harassment and disrespectful behavior are not tolerated in the **PyODMongo** community. This includes, but is not limited to, any form of offensive comments, verbal or written abuse, and unwelcome advances. 

### 5. Reporting Incidents

If you experience or witness any violations of this code of conduct, please report it to the **PyODMongo** maintainers immediately by contacting <a href="mailto:eng.mauroandre@gmail.com" target=_blank>eng.mauroandre@gmail.com</a>.

## Enforcement

The **PyODMongo** maintainers are responsible for enforcing this code of conduct. They will review and address reports promptly and confidentially. All reports will be treated with respect and privacy.

## Attribution

This code of conduct is inspired by and adapted from the <a href="https://www.contributor-covenant.org/version/2/0/code_of_conduct.html" target="_blank">Contributor Covenant</a>. We are grateful to the open-source community for its contributions to creating welcoming and inclusive environments.

## Questions or Concerns

If you have any questions or concerns regarding this code of conduct, please contact the **PyODMongo** maintainers at <a href="mailto:eng.mauroandre@gmail.com" target=_blank>eng.mauroandre@gmail.com</a>.

Thank you for helping to make the **PyODMongo** community a respectful and inclusive space for everyone.
