# <center>Contributing</center>

**PyODMongo** is an open-source project that relies on contributions from the community to thrive. We welcome and appreciate contributions from developers like you to help us maintain the project, ensure it remains bug-free, and meets the evolving needs of Python developers using MongoDB.

## How Can You Contribute?
There are several ways you can contribute to **PyODMongo**:

- **Report Issues**: If you encounter a bug, or any problem using **PyODMongo**, please open an issue on our <a href="https://github.com/mauro-andre/pyodmongo" target="_blank">GitHub repository</a>. Providing detailed information about the issue will help us address it more effectively.

- **Submit Pull Requests**: If you have a bug fix, a new feature, or an improvement in mind, we encourage you to submit a pull request. Your contributions can help enhance the library and benefit other users.

- **Documentation**: Clear and comprehensive documentation is vital for any project. You can contribute by improving the documentation, adding examples, or fixing typos and inaccuracies.

- **Testing**: Help us ensure the library's reliability by writing and running tests. New test cases and test coverage improvements are always valuable.

## Code of Conduct

Please note that **PyODMongo** follows a <a href="https://github.com/mauro-andre/pyodmongo/blob/master/code_of_conduct.md" target="_blank">Code of Conduct</a> to ensure a welcoming and inclusive community. We expect all contributors to adhere to these guidelines when participating in the project.

We appreciate your interest in contributing to **PyODMongo** and look forward to your contributions, whether they are bug reports, feature enhancements, or documentation improvements. Together, we can make **PyODMongo** even better for the Python and MongoDB community.